package esac.archive.ehst.common.constants.client;

/**
 * Utility class to store the string values used as part of the database contents.
 *
 * @author Nicolas Fajersztejn
 */
public class EhstDatabaseConstants {

    /**
     * Default constructor, it should not be called.
     */
    protected EhstDatabaseConstants() {
        // prevents calls from subclass
        throw new UnsupportedOperationException();
    }

    /**
     * Postcard does not exist string
     */
    public static final String POSTCARD_UNAVAILABLE = "POSTCARD_UNAVAILABLE";

    /**
     * Postcard does not exist string.
     */
    public static final String FITS_UNAVAILABLE = "FITS_UNAVAILABLE";

    // Action to be used to log user activity
    public static final String USER_ACTION_ARCHIVE_ACCESS = "ARCHIVE_ACCESS";
    public static final String USER_ACTION_AIO_DATA_DOWNLOAD = "AIO_DATA_DOWNLOAD";
    public static final String USER_ACTION_DIRECT_DATA_DOWNLOAD = "DIRECT_DATA_DOWNLOAD";
    public static final String USER_ACTION_POSTCARD_DOWNLOAD = "POSTCARD_DOWNLOAD";
    public static final String USER_ACTION_QUERY_METADATA = "QUERY_METADATA";
    public static final String USER_ACTION_FILE_SEARCH_TARGET_LIST = "FILE_SEARCH_TARGET_LIST";
    public static final String USER_ACTION_FILE_SEARCH_EQ_COORD = "FILE_SEARCH_EQ_COORD";
    public static final String USER_ACTION_FILE_SEARCH_GALACTIC_COORD = "FILE_SEARCH_GALACTIC_COORD";
    public static final String USER_ACTION_FILE_SEARCH_OBS_ID_LIST = "FILE_SEARCH_OBS_ID_LIST";
    public static final String USER_ACTION_SIAP_REQUEST = "SIAP_REQUEST";
    public static final String USER_ACTION_SSAP_REQUEST = "SSAP_REQUEST";
}
